angular.module('bootcampApp', [])
  .controller('NoteCtrl', function($scope){

    function cloneNote(note){
      var my_note = {};
      my_note.body = note.body;
      my_note.title = note.title;
      return my_note;
    }

    var defaultNote = {
      "title": "I am a title",
      "body": "I am a body"
    };

    $scope.notes = [];

    $scope.newNote = cloneNote(defaultNote);

    $scope.createNote = function(newNote){
      $scope.notes.push(cloneNote(newNote));
      $scope.newNote = cloneNote(defaultNote);
    };
  });
